Bug 201410 - [maintainer update] devel/caf: update to 0.14.0 and support FreeBSD < 10.0
Summary: [maintainer update] devel/caf: update to 0.14.0 and support FreeBSD < 10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-07 17:46 UTC by Matthias Vallentin
Modified: 2015-07-09 08:54 UTC (History)
1 user (show)

See Also:


Attachments
actor-framework-0.14.0.diff (6.38 KB, patch)
2015-07-07 17:46 UTC, Matthias Vallentin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Vallentin 2015-07-07 17:46:28 UTC
Created attachment 158511 [details]
actor-framework-0.14.0.diff

This patch updates CAF to 0.14.0 and adds support for FreeBSD < 10.0 via Clang 3.4.

Thanks to Craig Leres (leres@ee.lbl.gov) for providing the compatibility fix.
Comment 1 commit-hook freebsd_committer 2015-07-09 08:54:52 UTC
A commit references this bug:

Author: vanilla
Date: Thu Jul  9 08:54:27 UTC 2015
New revision: 391622
URL: https://svnweb.freebsd.org/changeset/ports/391622

Log:
  Upgrade to 0.14.0, and support FreeBSD < 10.0.

  PR:		201410
  Submitted by:	maintainer

Changes:
  head/devel/caf/Makefile
  head/devel/caf/distinfo
  head/devel/caf/pkg-plist